
Application: gvSIG desktop - gvSIG bugs #3430
Añadir Vista al Mapa y configurar Vista se bloquea gvSIG
04/29/2015 07:50 PM - Álvaro Anguix

Status: Closed % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee: Cesar Martinez Izquierdo
Category: Document layout
Target version: 2.2.0-2309
Severity: Blocker Add-on version:
gvSIG version: 2.2.0 Add-on build:
gvSIG build: 2308 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

En un documento Mapa insertamos una nueva Vista y en la ventana que se abre pulsamos el botón "Configurar Vista". gvSIG se
bloquea, tanto en Windows como en Linux.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3432: ApplicationLocator... Closed 04/30/2015
Related to Application: gvSIG desktop - gvSIG bugs # 3434: No se abren la pro... Closed 04/30/2015

History
#1 - 04/29/2015 07:50 PM - Álvaro Anguix
- gvSIG build set to 2308

#2 - 04/29/2015 10:39 PM - Joaquín  del Cerro Murciano
- Target version set to 2.2.0-2309

#3 - 04/30/2015 09:27 AM - Cesar Martinez Izquierdo
- Status changed from New to In progress

#4 - 04/30/2015 10:00 AM - Cesar Martinez Izquierdo
- Status changed from In progress to Awaiting response

Hola Álvaro, no puedo reproducirlo. ¿Es posible que la ventana que se abre se quede por debajo de las demás?
¿Puedes describir con más detalle los pasos y el resultado?

#5 - 04/30/2015 10:19 AM - Álvaro Anguix
- File gvSIG.log added

Aparentemente no me llega a abrir ninguna ventana. Adjunto el log tras matar gvSIG con el monitor del sistema.

#6 - 04/30/2015 10:20 AM - Álvaro Anguix
- Status changed from Awaiting response to New
#7 - 04/30/2015 10:30 AM - Cesar Martinez Izquierdo

En el log se ve un bucle infinito relacionado con la creación de la vista, ahora lo investigo.

#8 - 04/30/2015 01:04 PM - Cesar Martinez Izquierdo

El problema está relacionado con la nueva extensión de edición.
Desde la extensión del layout se intenta crear la ventana de propiedades de la vista sin que la ventana de la vista se haya llegado a crear (lo cual en
principio no debería ser problemático).

Voy a programar un workaround sencillo para el layout (crear la ventana de la vista antes de su ventana de propiedades), pero voy a crear un nuevo
bug para documentar que hay un problema en la vista que el siguiente código activa:

        ProjectManager projectManager = ApplicationLocator.getProjectManager();
        ViewManager viewManager = (ViewManager) projectManager.getDocumentManager(ViewManager.TYPENAME);
        view = (ViewDocument) viewManager.createDocument();
        ProjectManager.getInstance().getCurrentProject().addDocument(view);
    if (view!=null) {
        IWindow propWin = view.getPropertiesWindow();
        ApplicationManager manager = ApplicationLocator.getManager();
        manager.getUIManager().addWindow(propWin);
    }

#9 - 04/30/2015 01:23 PM - Cesar Martinez Izquierdo
- Related to gvSIG bugs #3432: ApplicationLocator.getManager().getActiveComponent() junto con EditingExtension pueden crear bucles infinitos 
added

#10 - 04/30/2015 02:33 PM - Álvaro Anguix
- Related to gvSIG bugs #3434: No se abren la propiedades de una vista copiada y pegada added

#11 - 05/01/2015 03:38 PM - Joaquín  del Cerro Murciano

Cesar Martinez Izquierdo wrote:

El problema está relacionado con la nueva extensión de edición.
Desde la extensión del layout se intenta crear la ventana de propiedades de la vista sin que la ventana de la vista se haya llegado a crear (lo cual
en principio no debería ser problemático).

Voy a programar un workaround sencillo para el layout (crear la ventana de la vista antes de su ventana de propiedades), pero voy a crear un
nuevo bug para documentar que hay un problema en la vista que el siguiente código activa:
ProjectManager projectManager = ApplicationLocator.getProjectManager();
ViewManager viewManager = (ViewManager) projectManager.getDocumentManager(ViewManager.TYPENAME);
view = (ViewDocument) viewManager.createDocument();
ProjectManager.getInstance().getCurrentProject().addDocument(view);
if (view!=null) {
IWindow propWin = view.getPropertiesWindow();
ApplicationManager manager = ApplicationLocator.getManager();
manager.getUIManager().addWindow(propWin);
si el error es el que comentas en los tickets relacionados no creo que merezca la pena programar algo especial en el layout. Con un poco de suerte se
puede corregir para el proximo build.

#12 - 05/04/2015 09:38 AM - Cesar Martinez Izquierdo

Sí, lo aparco en espera de que se resuelva el otro y veamos que no hay problemas adicionales.

#13 - 05/05/2015 09:07 AM - Francisco Díaz Carsí
- Status changed from New to Fixed

#14 - 05/07/2015 05:56 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 291 KB 04/30/2015 Álvaro Anguix
